.content
{
  border-top: 1px solid lightgray;
  padding: 0.75em;
  grid-gap: 0.5em;
  display: grid;
  grid-template-rows: auto auto auto auto auto 1fr;
}

.content .description
{
  white-space: pre-wrap;
}

.content .description,
.content .price
{
    font-size: 1.5em;
}

.content .category
{
  align-items: center;
  color: gray;
  display: flex;
  grid-gap: 0.5em;  
}

.previews
{
  display: grid;
  grid-auto-flow: column;
  grid-gap: 0.5em;
  overflow: scroll;
  height: 100%;
}

.preview-wrapper 
{
  color: #aaa;
  text-align: center;
  margin: auto;
  height: 100%;
  display: grid;
  align-items: center;
  box-sizing: border-box;
}

.content-item img
{
  box-sizing: border-box;
  border: 2px lightgray solid;
  border-radius: 1em;
  max-height: 25em;
  object-fit: cover;
}

@media only screen and (max-width: 500px) 
{
  .content-item img
  {
     max-height: 20em;
  }
}

.preview-wrapper:has(input:checked) 
{
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.preview-wrapper:has(input:checked) .content-item img
{
  border: none;
  border-radius: 0;
  max-height: 100%;
  max-width: 100%;
  margin: auto;
  object-fit: cover;
  border-radius: 0em;
  transition: 1s all;
  touch-action: pinch-zoom;
}

.preview-wrapper:has(input:checked):before
{
  content: "";
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #888;
}

.content .button
{
  margin: auto;
  width: 100%;
  max-width: 40em;
  background: #efe;
  border-color: green;
}

.content .button:hover
{
  background: #dfd;  
}


.content:has(.ribbon)
{
  overflow: hidden;
  background: #dddd;
}

.content:has(.ribbon) .button
{
  display: none;
}

.content .ribbon
{
  position: absolute;
  background: red;
  align-content: center;
  text-align: center;
  margin: auto;
  width: 20em;
  line-height: 3em;
  transform: rotateZ(-45deg) translateY(-3em) translateX(-6.5em);
}